//
//  FDAppDelegate.h
//  Durango
//
//  Created by Josh Buhler on 12/20/12.
//  Copyright (c) 2012 Josh Buhler. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface FDAppDelegate : NSObject <NSApplicationDelegate>

@property (assign) IBOutlet NSWindow *window;

@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (weak) IBOutlet NSTextField *gamertagTxt;
@property (weak) IBOutlet NSButton *refreshAllBox;
@property (weak) IBOutlet NSProgressIndicator *achievementProgress;

- (IBAction)saveAction:(id)sender;

- (IBAction)onRefreshClick:(id)sender;
- (IBAction)onGamesClick:(id)sender;
- (IBAction)onAchievementsClick:(id)sender;

@end
