//
//  XBGame.h
//  Durango
//
//  Created by Josh Buhler on 12/23/12.
//  Copyright (c) 2012 Josh Buhler. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class XBAchievement;

@interface XBGame : NSManagedObject

@property (nonatomic, retain) NSString * boxArt;
@property (nonatomic, retain) NSNumber * earnedAchievements;
@property (nonatomic, retain) NSNumber * earnedGamerScore;
@property (nonatomic, retain) NSString * gameID;
@property (nonatomic, retain) NSString * largeBoxArt;
@property (nonatomic, retain) NSDate * lastPlayed;
@property (nonatomic, retain) NSNumber * percentageCompleted;
@property (nonatomic, retain) NSNumber * possibleAchievements;
@property (nonatomic, retain) NSNumber * possibleGamerScore;
@property (nonatomic, retain) NSString * title;
@property (nonatomic, retain) NSString * url;
@property (nonatomic, retain) NSSet *achievements;
@end

@interface XBGame (CoreDataGeneratedAccessors)

- (void)addAchievementsObject:(XBAchievement *)value;
- (void)removeAchievementsObject:(XBAchievement *)value;
- (void)addAchievements:(NSSet *)values;
- (void)removeAchievements:(NSSet *)values;

@end
